"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103a74b80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103a74c10>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103a74ca0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103a74d30>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103a74dc0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103a74e50>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103a74ee0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103a74f70>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103a77040>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103a770d0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103a77160>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103a771f0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103a77280>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103a77310>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103a773a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103a77430>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103a774c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103a77550>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103a775e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103a77670>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103a77700>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103a77790>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103a77820>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103a778b0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103a779d0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103a77940>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103a77a60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103a77af0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103a77b80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103a77c10>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103a77ca0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103a77d30>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103a77dc0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103a77e50>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103a77ee0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103a77f70>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b0d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b160>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b1f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b280>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b310>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b3a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b430>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b4c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b550>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b5e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b670>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b700>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b790>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b820>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b8b0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103a7b9d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103a7ba60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103a7baf0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103a7bb80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103a7bc10>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103a7bca0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103a7bd30>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103a7bdc0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103a7be50>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103a7bee0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103a7bf70>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e040>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e1f0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e0d0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e280>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e310>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e3a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e430>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e4c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e5e0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e550>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e670>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e700>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e790>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e8b0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e820>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e940>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103a7e9d0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103a7ea60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103a7eaf0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103a7eb80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103a7ec10>)]
name: str = 'fr_HOCCN'
